/*************************************************************************
 *
 *    (c) Olimex Ltd. 2010
 *
 *    File name   : TaskControls.h
 *    Description : Common data structures to control task communications
 *
 *    History :
 *    1. Date        : 21 July 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/
 #include "includes.h"

/* Private define ------------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Global variables ---------------------------------------------------------*/
xSemaphoreHandle xMutexParallelPort = NULL;

/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/*************************************************************************
 * Function Name: TaskControlsInit(..)
 * Parameters: none
 *
 * Return: none
 *
 * Return:	0 if sucessfully created, -1 if error occured 
 *
 *************************************************************************/
char TaskControlsInit(void)
{
	char status = 0;

	xMutexParallelPort = xSemaphoreCreateMutex();
	if(xMutexParallelPort == NULL)
		status |= -1;
		
		
	return status;
}	



