/*************************************************************************
 *
 *
 *    (c) Copyright Olimex 2010
 *
 *    File name   : taskTCPIP.h
 *    Description : task for hadling 802.3 connectivity
 *
 *    History :
 *    1. Date        : 06 September 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#ifndef _TCPIP_TASK
#define _TCPIP_TASK

/* DEFINE TYPES HERE */

/* DECLARATION OF FUNCTIONS */

/******************************************************************************
* Description: vTaskTCPIPInitialize(..) - initializes PHY chip and the stack, start the task in the OS
* Input: 	none
* Output: 	none
* Return:	0 if sucessfully created, -1 if error occured 
*******************************************************************************/
char vTaskTCPIPInitialize(void);

/* DEFINITION OF MACROS */


#endif // _TCPIP_TASK

